iEDGE update help.

Discussion in 'EDGE' started by lucky1018, Nov 29, 2010.

  1. lucky1018
    OP

    lucky1018 Newbie

    Newcomer
    3
    0
    Nov 29, 2010
    Canada
    Hi. Recently I figured iEDGE uploaded a new update, but to update my iEDGE card do I just overwrite my old bootstrap and change the OS on microSD and repeat the same procedure that I did in the first place?

    -Thanks
     
  2. bitonio6

    bitonio6 GBAtemp Advanced Maniac

    Member
    1,801
    6
    Sep 30, 2009
    Swaziland
  3. lucky1018
    OP

    lucky1018 Newbie

    Newcomer
    3
    0
    Nov 29, 2010
    Canada
    I have no idea what you're talking about... I'm pretty new to iEDGE..
     
  4. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    * Download bootstrap updater from iEDGE website.
    * Backup all your files in microsd.
    * Format it using Pansonic SD formatter.
    * Run bootstrap updater
    * Put back all those files into your microsd
    * Put microsd into iEDGE
    * Run your DS
    * Let it update, when prompt, press A
     
  5. bitonio6

    bitonio6 GBAtemp Advanced Maniac

    Member
    1,801
    6
    Sep 30, 2009
    Swaziland
    Are you serious? [​IMG]

    If you download the boostrap from the EDGE website, you need the ROM too...

    With my pack, you dont need a rom, because the bootstrap updater is embeded!!!

    You dont need to format your microSD
    And you dont need to "put back all thoses files...." before you upgrade your iEDGE!
    Otherwise you will start the upgrade process again and again!!!
     
  6. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    Huh? First when you run bootstrap updater in PC it will generate a file inside your microSD which WILL get deleted once the process is completed in DS. When I mean putting back files I mean putting back ROM. I asked him/her to format microSD because when I tried it without format it keeps saying "Error -16".

    Second you cannot embed bootstrap code in your file, because it contains copyrighted code from Nintendo. Take it out before a moderator does so.
     
  7. anton123

    anton123 Advanced Member

    Newcomer
    77
    4
    Jun 15, 2009
    United States
    So, basically, I have to clean up the microsd of the files and do a quick format with FAT32. Then run the boot updater with the correct rom and the microsd card and run it on the iEdge and DSi.

    Then copy the rest of the stuff back including the OS 2.0?

    Just making sure I got this right because of all the horror stories in the threads below.
     
  8. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    Correct. Be sure to put iEDGE OS 2.0 in your microSD.

    Pop iEDGE into your DS, let it update itself, press A when prompt, then you're done.
     
  9. anton123

    anton123 Advanced Member

    Newcomer
    77
    4
    Jun 15, 2009
    United States
    Thanks man. All updated and working. Strange that the update bin file didn't get deleted after I pressed A to shutdown the DSi. No matter, it loads up fine and works.
     
  10. lucky1018
    OP

    lucky1018 Newbie

    Newcomer
    3
    0
    Nov 29, 2010
    Canada
    Thanks for the explanation!
     
  11. bitonio6

    bitonio6 GBAtemp Advanced Maniac

    Member
    1,801
    6
    Sep 30, 2009
    Swaziland
    Seriously, have you an iEDGE to talk about it?!

    Because two time, you said stupidity! [​IMG]

    This file will never be erased...

    Otherwise, imagine, when you have many iedge to upgrade?!


    i answer you about that in my thread...

    how do you think, the others flashcard team upgrade their products?!

    Every FIRMWARE for DSi Flashcard, contains a DS Game signature!!!
     
  12. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    I have an iEDGE, in my case the file got deleted [​IMG] . Yes, I know the new bootstrap has a black block and red circle game icon. It never went into repeated update cycle. I'm not sure why my situation is unique. I'm not interested in starting a flame war with you (if that is your intention).

    Yes I know each flashcart is using code from Rom to bypass DSi firmware, it is still not recommend to hotlink such material here in gbatemp.
     
  13. bitonio6

    bitonio6 GBAtemp Advanced Maniac

    Member
    1,801
    6
    Sep 30, 2009
    Swaziland
    Can you see the "hide" files with your microsoft Windows ?
     
  14. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    Yes, I can see hidden file in Windows, to be sure, I had it examined under Linux as well. No hidden file for me after the update.
     
  15. anton123

    anton123 Advanced Member

    Newcomer
    77
    4
    Jun 15, 2009
    United States
    Is there a way to do the iEdge updates on Linux? Their website's Linux links are permanently on coming soon.
     
  16. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    Unfortunatley no, Wine cannot run updater correctly. Only way I can think of is using a Linux virtual machine with Windows inside and run updater with it.
     
  17. bitonio6

    bitonio6 GBAtemp Advanced Maniac

    Member
    1,801
    6
    Sep 30, 2009
    Swaziland
    i dont know if until this "V3" we can just use and copy the file called "bupdate.bin"
     
  18. thAnus

    thAnus Newbie

    Newcomer
    1
    0
    Dec 5, 2012
    Greece
    Thessaloníki
    Question: :unsure:
    I have the old EDGE cartridge but a DSi, can i put the software needed in the old EDGE and then play normally?
    I cannot afford the iEDGE cartridge, that's why I'm asking.
     
  19. Rydian

    Rydian Resident Furvertâ„¢

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    No, the original EDGE (and other non-DSi flash carts) will not work on the DSi. It's not the software on the MicroSD, it's the bootloader of the cart that determines it.
    http://hackmii.com/2010/02/lawsuit-coming-in-3-2-1/
    This explains why.

    You will need a DSi-compatible flash cart, but the EDGE series has not been updated in ages and is no longer recommended.
    http://gbatemp.net/t290097-which-flash-cart-should-i-get
    DSi flash carts nowadays are as cheap as $18 USD (or sometimes less).